Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

nombre réponses : 25

#0 -1 »  VirtualBox lenteur incompréhensible » Le 04/06/2013, à 20:32

Lad
Réponses : 13

Bonjour

Je travaille sous ubuntu 13.04 avec virtualbox 4.2.12 dans lequel j'ai installé windows XP sp3. Jusqu'à il y a peu tout allé bien mais (en gros) depuis le passage à la 13.04 (via une mise à jour) les choses se sont dégradées. Depuis la semaine dernière ma machine virtuelle est inutilisable. Il faut 20min pour que j'arrive tant bien que mal à cliquer sur éteindre la machine virtuelle et bien 15min de plus pour récupérer la main sous ubuntu. Au lancement de windows, le système se met à utiliser massivement du swap (1Go environ).

J'ai essayé d'installé une nouvelle machine virtuelle à partir de l'image iso de windows 7. Pour l'instant je n'ai fait que l'installation et je l'ai utilisé 5 min (configuration) mais je n'ai eu aucune lenteur (en tout cas rien d'anormal). Du coup je me dis que le problème viendrait plus de la machine virtuelle que de virtual box ou de ubuntu.

Du coup j'ai des questions :
1) Est ce que ça vient de virtual box ou de ma machine virtuelle qui serait obsolète ?

2) Est ce que le disque dur virtuel de ma machine XP a des erreurs et est ce qu'il est possible de les corriger ?

3) Par ailleurs dés que ubuntu met à jour le noyau il faut que je reinstalle à la main certains paquets (demandés par virtual box) et que je refasse une compilation pour virtual box. En fait il me dit de faire ça :

sudo /etc/init.d/vboxdrv setup

.
Une fois effectué ça fonctionne.

Merci d'avance pour vos conseils pour me sortir de là !

#1 Re : -1 »  VirtualBox lenteur incompréhensible » Le 04/06/2013, à 21:43

Lad
Réponses : 13

Salut
Tu veux dire celle d'oracle ou des depots officiels?
Pour installer VB j'ai suivi la doc en rapport à la version sur le dépôt d'oracle.

#2 Re : -1 »  VirtualBox lenteur incompréhensible » Le 05/06/2013, à 10:21

Lad
Réponses : 13

Bonjour

Ce matin j'ai fait une mise à jour car je me suis aperçu que le dépot d'oracle n'était pas dans le source.list. Au bilan j'ai pu démarrer (avec des lenteurs) et tant que je ne sors pas du guest je n'ai pas trop de problème bien que le swap  augmente énormément. Les problèmes apparaissent dés que j'ai besoin de passer du guest au host ou inversement. Par exemple si je veux naviguer dans mes fichiers sur le host ou ouvrir un terminal sur le host. Dans ce cas il faut faire un aller retour entre les deux et c'est le cauchemar. J'ai l'impression que le problème survient dés que j'ai besoin de me servir du service de fenêtre du host.

Ce qui est bizare c'est que je n'ai aucun de ces soucis avec l'autre machine que j'ai installé hier (sous windows 7).

tiramiseb tu penses que la version des dépot officiels marcherais mieux ?

#3 Re : -1 »  VirtualBox lenteur incompréhensible » Le 05/06/2013, à 12:50

Lad
Réponses : 13

Entre le moment où la machine ramait lourdement et le moment où ça marchait très bien je n'ai rien changé de tout ça, c'est pourquoi je n'en ai pas parlé :

procs :
1 processeur pour le guest
2 réel pour le host (en réalité 4 émulés).
Accélération activé et pagination (mais je ne sais pas ce que c'est la pagination)

ram :
4Go dispo dont 1906 Mo attribué au guest.
64Mo de mémoire vidéo sur 128.

Accélération 2D/3D activé mais ça ne change rien

Pas de son

Ce matin j'ai créer une nouvelle machine (nouveau disque plus installation du même XP) avec toujours 1Go de Ram 1 processeurs (+ acceleration et pagination) 32 Mo pour la vidéo pas d'accélération 2D 3D. Cette machine est fluide (en tout cas rien d'anormal).

Ça m'intéresserait toujours d'avoir une idée d'où ça peut venir mais en attendant j'ai solutionné le problème par la méthode on efface tout et on recommence.

#4 -1 »  shotwell ou un équivalent et applications gnome » Le 02/11/2012, à 13:47

Lad
Réponses : 1

Bonjour

Anciennement sous ubuntu (unity) je suis assez séduit par lubuntu. Il me manque cependant quelques applications dont shotwell.

Si je fais un install de shotwell, il me demande beaucoup de chose (78Mo) :

> sudo apt-get install shotwell 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés :
  account-plugin-facebook account-plugin-flickr account-plugin-google apg
  gnome-control-center gnome-control-center-data gnome-control-center-signon
  gnome-desktop3-data gnome-menus gnome-online-accounts gnome-session-bin
  gnome-settings-daemon gstreamer0.10-pulseaudio hwdata indicator-power indicator-sound
  libaccount-plugin-1.0-0 libaccounts-glib0 libaccounts-qt1 libcanberra-gtk3-0
  libcanberra-gtk3-module libcanberra-pulse libexiv2-12 libgexiv2-1 libgnome-desktop-3-4
  libgnome-menu-3-0 libgnomekbd-common libgnomekbd8 libgoa-1.0-0 libgoa-1.0-common
  libido3-0.1-0 libpulsedsp libqjson0 libqt4-sql-sqlite libraw5 librest-0.7-0
  libsignon-extension1 libsignon-glib1 libsignon-plugins-common1 libsignon-qt1
  libwacom-common libwacom2 mousetweaks pulseaudio pulseaudio-module-x11
  pulseaudio-utils rtkit signon-keyring-extension signon-plugin-oauth2 signon-ui signond
  ubuntu-docs ubuntu-system-service
Paquets suggérés :
  libcanberra-gtk-module gnome-screensaver exiv2 libqt4-dev pavumeter paman paprefs
  pulseaudio-module-raop pulseaudio-esound-compat avahi-daemon
Les NOUVEAUX paquets suivants seront installés :
  account-plugin-facebook account-plugin-flickr account-plugin-google apg
  gnome-control-center gnome-control-center-data gnome-control-center-signon
  gnome-desktop3-data gnome-menus gnome-online-accounts gnome-session-bin
  gnome-settings-daemon gstreamer0.10-pulseaudio hwdata indicator-power indicator-sound
  libaccount-plugin-1.0-0 libaccounts-glib0 libaccounts-qt1 libcanberra-gtk3-0
  libcanberra-gtk3-module libcanberra-pulse libexiv2-12 libgexiv2-1 libgnome-desktop-3-4
  libgnome-menu-3-0 libgnomekbd-common libgnomekbd8 libgoa-1.0-0 libgoa-1.0-common
  libido3-0.1-0 libpulsedsp libqjson0 libqt4-sql-sqlite libraw5 librest-0.7-0
  libsignon-extension1 libsignon-glib1 libsignon-plugins-common1 libsignon-qt1
  libwacom-common libwacom2 mousetweaks pulseaudio pulseaudio-module-x11
  pulseaudio-utils rtkit shotwell signon-keyring-extension signon-plugin-oauth2
  signon-ui signond ubuntu-docs ubuntu-system-service
0 mis à jour, 54 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 10,3 Mo dans les archives.
Après cette opération, 78,5 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? 

Du coup je me demandais s'il existe un équivalent propre à lubuntu ? et plus généralement, est ce que c'est une mauvaise idée de prendre des applis gnome comme shotwell pour les utiliser avec lubuntu ? Est ce que ça ne fini pas par ralentir encore plus le système ?

Merci pour votre aide

#5 -1 »  wine - probleme de resolution » Le 26/10/2011, à 19:25

Lad
Réponses : 1

Bonjour

je jouais à diablo2 sous wine. Jusqu'à present je n'avais pas de soucis mais depuis la 11.10 je ne peux plus lancer le jeux en plein ecran. Si je rajoute l'option -window tout se passe bien mais si je ne la met pas j'ai une erreur disant que je ne peux pas utiliser une resolution 640x480x8.

Je peux dire a wine de creer un bureau virtuel mais ça revient à lancer le jeux avec -window je ne peux pas passer en plein écran.

J'ai une carte graphique intel integree sur un dell latitude 6410.

Merci pour votre aide

#6 Re : -1 »  wine - probleme de resolution » Le 28/10/2011, à 09:59

Lad
Réponses : 1

Je fais un petit up ! et j'en profite pour mettre l'intitulé de l'erreur smile

X11DRV_ChangeDisplaySettingsEx No matching mode found 640x480x8

Merci pour votre aide

#7 -1 »  Choix de la partition pour le grub » Le 08/10/2011, à 21:36

Lad
Réponses : 2

Bonjour

Lors de l'installation d'ubuntu, il demande sur quelle partition doit être installé grub. Je vous pose la même question en fait ? smile

J'ai windows en double boot, et j'ai les partitions suivantes :

Une partition NTFS windows (celle là j'ai de gros doute)
Une partition FAT32 dell utility
Une partition étendue qui contient :
une partition swap
une partition ext4 avec /
une partition ext4 avec /home

Je crois que précédemment je l'avais mis sur /. Ça a marché mais j'aimerais comprendre un peu.

Merci pour votre aide

#8 Re : -1 »  Choix de la partition pour le grub » Le 09/10/2011, à 12:51

Lad
Réponses : 2

Qu'est ce que ça veut dire en début de disque ? Comment je sais si je le met au début ou pas ? Il me demande juste de choisir une partition

#9 -1 »  Impossible d'utiliser Lyx » Le 22/06/2011, à 15:43

Lad
Réponses : 1

Bonjour

J'ai un soucis avec Lyx. Lors du lancement il me dit qu'il ne trouve pas la classe AGU-article qui est visiblement la classe par défaut.

Pourquoi ne trouve t on pas les classes de base comme article ? La plupart des classes sont écrites indisponibles et j'ai accès à une classe article (Hebrew) pourquoi en hebreu ?

Quand j'essaye de compiler un document simple avec juste un petit paragraphe de texte ça ne fonctionne pas il me dit qu'il a une erreur (visiblement d'encodage) :
Error 84 returned from iconv when converting from UCS-4LE to ISO-8859-15: Chaîne multi-octets ou étendue de caractères invalide ou incomplète

Est ce que vous avez réussi à faire fonctionner lyx ?

Merci

#10 -1 »  Détection du type de fichier dans vim » Le 22/04/2011, à 12:13

Lad
Réponses : 1

Bonjour

J'utilise beaucoup vim et notamment le plugin vim-latex. Le problème c'est que les développers de vim-latex suggère de rajouter cette ligne dans le vimrc :

" TIP: if you write your \label's as \label{fig:something}, then if you
" type in \ref{fig: and press <C-n> you will automatically cycle through
" all the figure labels. Very useful!
set iskeyword+=:

Comme ils le disent c'est très pratique mais ça entre en conflit avec python. Car dans python il y a un mot clef else et quand on écrit quelque chose du genre :

if  i == 1:
   print("ok")
else:
  print("pas ok")

else n'est pas reconnu comme un mot clef. Je pense que ça vient du fait qu'on a ajouté : dans la liste des mots clefs et du coup vim ne reconnait plus le mot clef else:

Donc ma question est de savoir comment dans mon vimrc je peux lui dire de faire set iskeyword ... uniquement si le fichier est un fichier tex.

Merci pour votre aide

#11 -1 »  Script post-installation ubuntu » Le 20/04/2011, à 09:42

Lad
Réponses : 1

Bonjour

J'ai écris le petit script suivant pour installer rapidement les programmes que j'utilise après une installation nouvelle d'ubuntu.

Le script fonctionne mais j'aimerais avoir votre avis car j'aimerais qu'il soit assez robuste. Par ailleurs, lors de l'installation de paquets, apt-get suggère d'installer d'autres paquets. Je voulais savoir s'il est recommandé de les installer et sur qu'elle base apt-get les propose ?

Merci pour votre aide

Voici les étapes du script :

       1) Active le dépot canonical partner
       2) Active le dépot medibuntu
       3) Si $codecs == "oui" installe non-free-codecs et libdvdcss2
       4) Installe successivement tous les paquets contenu dans les variables de la
       section "liste des paquets par catégories"
       5) Ajoute le dépot de virtualbox et installe virtualbox

#!/bin/bash

# Lancer le script en tant que root (faire sudo -s avant)
#
# Des erreurs peuvent survenir car certains paquets n'ont pas été téléchargés, le script
# peut être lancer plusieurs fois si nécessaire.
#

# ----------------------------------------------------------------------------------------
# liste des paquets par catégories
# ----------------------------------------------------------------------------------------

# attribuer oui ou non à la variable codecs. si $codecs == oui les paquets non-free-codecs
# et libdvdcss2 seront installé, si $codecs == non rien de spécila n'est fait
codecs="oui"

# donner une liste de paquets dans chaque variable. Si vous rajouter une variable ajouter
# les lignes correspondantes dans la section "installation des paquets par catégories".
compilateur="build-essential gcc gfortran"

python="ipython python-qt4 python-numpy python-scipy python-matplotlib pymol"

editeur="vim-gnome"

sciences="grace gnuplot gperiodic gchempaint openmpi-bin"

media="vlc mozilla-plugin-vlc gimp inkscape blender povray jokosher cheese"

latex="texlive texlive-lang-french texlive-latex-extra kbibtex aspell-fr"

divers="acroread filezilla gnome-do compizconfig-settings-manager chromium-browser wine"

# ----------------------------------------------------------------------------------------
# initialisation
# ----------------------------------------------------------------------------------------
echo -e "\n\t * * *\e[0;94m Complète l'installation d'ubuntu \e[0m * * * \n"

# fichier log
log="install.log"
if [[ -f $log ]]
then
    rm -iv $log
else
    touch $log
fi

# ----------------------------------------------------------------------------------------
# quelques fonctions
# ----------------------------------------------------------------------------------------

function message {
    # affiche un message sur stdout et dans le log
    echo -e "\n# --------------------------------------------------"   | tee -a $log
    echo      "# $1"                                                   | tee -a $log
    echo -e   "# --------------------------------------------------\n" | tee -a $log
}

function myecho {
    # affiche une ligne écrite en bleu
    echo -e "\n\t * * *\e[0;94m  $1 \e[0m * * * \n"
    echo -e "\n\t * * * $1 * * * \n" >> $log
}

function myechovert {
    # affiche une ligne écrite en vert
    echo -e "\n\t * * *\e[0;32m  $1 \e[0m * * * \n"
    echo -e "\n\t * * * $1 * * * \n" >> $log
}

function myechored {
    # affiche une ligne écrite en rouge
    echo -e "\n\t * * *\e[0;91m  $1 \e[0m * * * \n"
    echo -e "\n\t * * * $1 * * * \n" >> $log
}

installe=""
nonInstalle=""

function section_install {
    # attend comme arguments une liste de paquets
    for paquet in $*
    do
        # install package if package not already installed 
        myecho "installation de $paquet"
        apt-get --auto-remove --yes -q install $paquet | tee -a $log
        # test if package well installed
        if [[ $? == 0 && -n "$(dpkg --status $1 | grep "Status" | grep "install ok installed")" ]]
        then
            myechovert "$paquet installé"
            installe="$installe $paquet"
        else
            myechored "Erreur lors de l'installation de $paquet"
            nonInstalle="$nonInstalle $paquet"
        fi
    done
}

# ----------------------------------------------------------------------------------------
# active le depot canonical partners
# ----------------------------------------------------------------------------------------
message "active le depot canonical partners"

cp -v /etc/apt/sources.list /etc/apt/sources.list.bak | tee -a $log
echo "sed \"s/# deb http\:\/\/archive.canonical.com/deb http\:\/\/archive.canonical.com/\" /etc/apt/sources.list > sources.list.new" | tee -a $log
sed "s/# deb http\:\/\/archive.canonical.com/deb http\:\/\/archive.canonical.com/" /etc/apt/sources.list > sources.list.new
cp -v sources.list.new /etc/apt/sources.list | tee -a $log

# ----------------------------------------------------------------------------------------
# ajout du depot medibuntu
# http://doc.ubuntu-fr.org/medibuntu#ajouter_le_depot_medibuntu
# ----------------------------------------------------------------------------------------
message "Ajout de medibuntu"

echo "wget http://www.medibuntu.org/sources.list.d/`lsb_release -cs`.list --output-document=/etc/apt/sources.list.d/medibuntu.list" | tee -a $log
wget http://www.medibuntu.org/sources.list.d/`lsb_release -cs`.list --output-document=/etc/apt/sources.list.d/medibuntu.list | tee -a $log

echo "apt-get -q update" | tee -a $log
apt-get -q update >> $log

echo "apt-get --yes -q --allow-unauthenticated install medibuntu-keyring" | tee -a $log
apt-get --yes -q --allow-unauthenticated install medibuntu-keyring  | tee -a $log

if [[ $? == 0 ]]
then
    myechovert "medibuntu-keyring installé"
else
    myechored "medibuntu non ajouté, relancer le script devrait suffire"
    exit 1
fi

# ----------------------------------------------------------------------------------------
# mise à jour des sources de logiciels
# ----------------------------------------------------------------------------------------
message "mise à jour des paquets"

myecho "apt-get -q clean"
apt-get -q clean >> $log
myecho "apt-get -q update"
apt-get -q update >> $log
myecho "apt-get -q --yes upgrade"
apt-get -q --yes upgrade | tee -a $log

# ----------------------------------------------------------------------------------------
# installation des paquets non-free-codecs et libdvdcss2
# necessite un traitement particulier pour être sur que non-free-codecs est installé avant
# libdvdcss2 sinon ça peut poser problème
# ----------------------------------------------------------------------------------------

if [[ $codecs == "oui" ]]
then
    message "codecs multimédia propriétaires"
    myecho "installation de non-free-codecs"
    apt-get --auto-remove --yes -q install non-free-codecs | tee -a $log
    # test if package well installed
    if [[ $? == 0 && -n "$(dpkg --status non-free-codecs | grep "Status" | grep "install ok installed")" ]]
    then
        myechovert "non-free-codecs installé"
        installe="$installe non-free-codecs"
        myecho "installation de libdvdcss2"
        apt-get --auto-remove --yes -q install libdvdcss2 | tee -a $log
        if [[ $? == 0 && -n "$(dpkg --status libdvdcss2 | grep "Status" | grep "install ok installed")" ]]
        then
            myechovert "libdvdcss2 installé"
            installe="$installe libdvdcss2"
        else
            myechored "Erreur lors de l'installation de libdvdcss2 - relancer le script"
            exit 1
        fi
    else
        myechored "Erreur lors de l'installation de non-free-codecs - relancer le script devrait être suffisant"
        exit 1
    fi
fi

# ----------------------------------------------------------------------------------------
# installation des paquets par catégories
# ----------------------------------------------------------------------------------------

message "compilateur et developpement"
section_install $compilateur

message "python"
section_install $python

message "editeurs"
section_install $editeur

message "sciences"
section_install $sciences

message "media : son, graphisme et video"
section_install $media

message "latex"
section_install $latex

message "divers"
section_install $divers

# ----------------------------------------------------------------------------------------
# installation de virtual box 4.0
# ----------------------------------------------------------------------------------------
message "installation de virtual box 4.0"

grep virtualbox /etc/apt/sources.list 
if [[ ! $? == 0 ]] 
then
    echo "deb http://download.virtualbox.org/virtualbox/debian `lsb_release -sc` contrib" | sudo tee -a /etc/apt/sources.list
    apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 98AB5139 
    apt-get update >> $log
else
    myecho "depot virtualbox déjà présent"
fi

paquet="virtualbox"
myecho "installation de $paquet"
apt-get --auto-remove --yes -q install $paquet | tee -a $log
# test if package well installed
if [[ $? == 0 ]]
then
    myechovert "$paquet installé"
    installe="$installe $paquet"
else
    myechored "Erreur lors de l'installation de $paquet"
    nonInstalle="$nonInstalle $paquet"
fi

echo -e "\nvoir http://doc.ubuntu-fr.org/virtualbox\n"

# ----------------------------------------------------------------------------------------
# nettoyage
# ----------------------------------------------------------------------------------------
message "nettoyage"
echo "apt-get -q --yes autoremove" | tee -a $log
apt-get -q --yes autoremove | tee -a $log

# ----------------------------------------------------------------------------------------
# bilan
# ----------------------------------------------------------------------------------------
message "bilan installation"
for paquet in $installe
do
    printf "%40s  : \t \e[0;32m installé\e[0m \n" "$paquet" 
    echo -e "$paquet \t\t installé" >> $log
done

declare -i i=0
for paquet in $nonInstalle
do
    ((i=$i+1))
    printf "%40s  : \t \e[0;91m non installé\e[0m \n" "$paquet"
    echo -e "$paquet \t\t non installé !!" >> $log
done

# ----------------------------------------------------------------------------------------
# fin du script, suppléments :
# ----------------------------------------------------------------------------------------

if [[ ! $i == 0 ]]
then
    myechored "nombre d'erreur : $i"
fi
exit $i

#12 -1 »  Menu gnome - partie wine » Le 25/03/2011, à 10:23

Lad
Réponses : 2

Bonjour

J'ai un soucis avec les applications installé sous wine et le menu gnome. Lorsque j'installer une application sous wine le menu n'est jamais mis à jours. Comment est ce que je peux faire pour le réinitialiser ?

Merci

#13 Re : -1 »  Menu gnome - partie wine » Le 25/03/2011, à 14:23

Lad
Réponses : 2

Salut

Je connaissais cette façon de faire, je m'en suis servi temporairement. Ce que je recherche c'est une solution me permettant de réinitialiser le menu pour faire en sorte que les programme installés s'ajoutent seuls, sans une telle intervention.

Merci

#14 -1 »  Installation multiple sous playonlinux » Le 13/01/2011, à 10:54

Lad
Réponses : 1

Bonjour

Via playonlinux, j'ai essayé d'installer MS Office XP. Malheureusement l'installation n'a pas fonctionné. Comme j'ai essayé plusieurs fois, il semble que le système ait gardé en mémoire l'installation de MSOffice. Du coup, quand je fais un clic droit sur un fichier xls par exemple, il me propose une dizaine de MS Excel.

Comment est ce que je peux supprimer ces versions fantômes ? Est ce que je désinstalle wine + playonlinux je vire les .wine et .playonlinux et je recommence ? Ou exisite-t-il une façon plus subtile ?

Ne me jettez pas la pierre par rapport à MS office, je suis malgré moi obligé de l'utiliser dans le cadre de mes enseignements à la fac où je donne des TP d'infos où apprend aux étudiants à se servir d'excel ...

Merci

#15 -1 »  [compiz] taille des zones réactives sur le bureau » Le 16/12/2010, à 09:17

Lad
Réponses : 0

Bonjour

Je voudrais savoir si on peut configurer la taille et la position des zones réactives sur le bureau dans compiz ? Par exemple pour celle du bas au centre,  je voudrais réduire la largeur et l'épaisseur pour que l'effet ne se déclenche que si je touche le bas de l'écran.

Merci

#16 Re : -1 »  Génération fichier xml pour les fonds d'écran » Le 09/12/2010, à 16:43

Lad
Réponses : 5

Bonjour

Sympa ton script. Est ce que tu as des indications sur comment ça marche et sur le sens de duration ?

Merci

#17 -1 »  Exécuter un script depuis Alt + F2 » Le 17/09/2010, à 08:33

Lad
Réponses : 13

Bonjour

J'ai écris un script bash tout bête qui lit un fichier contenant des numéros de téléphone avec un grep ou pas suivant qu'on a mis un argument.

J'aimerais, quand j'en ai besoin, pouvoir faire Alt +F2 taper ma commande et exécuter mon script qui affiche un résultats dans un terminal. Est il possible de faire ça ?

Merci

PS : Le script mais je doute que ça serve à qqun.

#!/bin/bash

# affiche le numero de tel

# adresse de l'annuaire
annuaire="/home/gvallver/Recherche/annuaire"

# entete
echo  ""
echo  "               - - ANNUAIRE - -"
echo  ""
echo  "UPPA : 05 59 40 XX XX"
echo  ""
echo  "----------------------------------------------------"
echo  "Prénom		Nom		téléphone"
echo  "----------------------------------------------------"

# selection
if [[ $1 == "" ]] ; then
	cat $annuaire
else
	grep -i --color=auto $1 $annuaire
fi

#18 Re : -1 »  Exécuter un script depuis Alt + F2 » Le 17/09/2010, à 09:28

Lad
Réponses : 13

mmh ça doit fonctionner dans le sens que je n'ai pas de messages d'erreur. Par contre, j'ai l'impression qu'un terminal souvre et se ferme instantanément. J'ai coché exécuter dans un terminal.

Faut il mettre un truc du genre "pause" à la fin du script ?

Pour le PATH c'était déjà fait wink

#19 Re : -1 »  Exécuter un script depuis Alt + F2 » Le 21/09/2010, à 08:50

Lad
Réponses : 13

Merci pour toutes vos réponses !

Sputnick je n'ai rien compris à ta commande. Comment ça fonctionne ? je met la première ligne dans un script qui appelle la seconde ?

Comment ça marche ?

Merci

#20 Re : -1 »  Exécuter un script depuis Alt + F2 » Le 21/09/2010, à 09:44

Lad
Réponses : 13

Avec vos remarques voilà le code du script :


#!/bin/bash

# affiche le numero de tel

# adresse de l'annuaire
annuaire="/home/gvallver/Recherche/annuaire"

# entete
function entete {
cat<<EOF

                 - - ANNUAIRE - -

UPPA : 05 59 40 XX XX

----------------------------------------------------
Prénom		Nom		téléphone
----------------------------------------------------
EOF
}

# affichage
if [[ "$1" ]] ; then
	# cas avec recherche

	# teste si on trouve une personne
	grep -i "$1" "$annuaire" > /dev/null

	# affichage 
	if [[ $? == 0 ]] ; then
		entete
		grep -i --color=auto $1 $annuaire 
	else
		echo ""
		echo "personne dans l'annuaire"
		echo ""
	fi
else
	# affichage complet
	entete
	cat $annuaire
fi

#21 Re : -1 »  Exécuter un script depuis Alt + F2 » Le 22/09/2010, à 10:31

Lad
Réponses : 13

Merci big_smile

Et pour l'exécution avec le Alt + F2 ? Tu sais comment on applique la commande de sputnick ?

Merci

#22 -1 »  Evolution et agenda en ligne » Le 02/09/2010, à 10:33

Lad
Réponses : 0

Bonjour

Je voudrais savoir comment on peut faire pour télécharger dans evolution un agenda en ligne.

J'utilise yahoo calendar et j'aimerais bien que ce qui est sur yahoo se retrouve aussi dans évolution.

Merci

#23 Re : -1 »  Virtualbox 3.1.8 r61349 plante Itunes 9.1.1 » Le 09/08/2010, à 09:10

Lad
Réponses : 4

Merci pour le coup de main !

Cette version semble fonctionner chez moi aussi.

#24 Re : -1 »  [VirtualBox] Plantage de l'installation de virtual box 3.2 » Le 16/06/2010, à 21:57

Lad
Réponses : 10

Voilà mon source.list

# deb cdrom:[Ubuntu 9.10 _Karmic Koala_ - Release i386 (20091028.5)]/ karmic main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://fr.archive.ubuntu.com/ubuntu/ lucid main restricted universe
deb-src http://fr.archive.ubuntu.com/ubuntu/ lucid main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ lucid-updates main restricted universe
deb-src http://fr.archive.ubuntu.com/ubuntu/ lucid-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fr.archive.ubuntu.com/ubuntu/ lucid multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ lucid multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ lucid-updates multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ lucid-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://fr.archive.ubuntu.com/ubuntu/ karmic-backports main restricted universe multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ karmic-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu lucid partner
# deb-src http://archive.canonical.com/ubuntu karmic partner

deb http://security.ubuntu.com/ubuntu lucid-security main restricted universe
deb-src http://security.ubuntu.com/ubuntu lucid-security main restricted

# universe

# multiverse
deb http://security.ubuntu.com/ubuntu lucid-security multiverse
deb-src http://security.ubuntu.com/ubuntu lucid-security multiverse
deb http://download.virtualbox.org/virtualbox/debian lucid non-free